{
	"type": "minecraft:crafting_shaped",

	"pattern": [
		"ICM",
		"DFD",
		"-P-"
	],

	"key": {
		"M": {"item": "overdrive_that_matters:matter_transform_matrix"},
		"I": {"item": "overdrive_that_matters:matter_io_port"},
		"F": {"item": "overdrive_that_matters:machine_frame"},
		"P": {"item": "overdrive_that_matters:matter_capacitor_parts"},
		"-": {"item": "overdrive_that_matters:matter_cable"},
		"D": {"tag": "forge:gems/diamond"},
		"C": {"tag": "forge:circuits/advanced"}
	},

	"result": {
		"item": "overdrive_that_matters:matter_replicator",
		"count": 1
	}
}